<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of phpMyVisitesStats, a plugin for Dotclear 2.3
#
# Copyright (c) 2011 AkhThoT
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

$_menu['Plugins']->addItem(__('phpMyVisitesStats'),
		'plugin.php?p=phpMyVisitesStats','index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-16x16.png',
		preg_match('/plugin.php\?p=phpMyVisitesStats(&.*)?$/',$_SERVER['REQUEST_URI']),
		$core->auth->check('admin',$core->blog->id));

if($core->phpMyVisitesStats_Params['DashBoardFavs'])
	$core->addBehavior('adminDashboardFavs',array('BehaviorsphpMyVisitesStats','adminDashboardFavs'));
$core->addBehavior('adminDashboardFavsIcon',array('BehaviorsphpMyVisitesStats','adminDashboardFavsIcon'));

require dirname(__FILE__).'/_widgets.php';
	
class BehaviorsphpMyVisitesStats
	{
	public static function adminDashboardFavs($core,$favs)
		{
		$favs['phpMyVisitesStats'] = new ArrayObject(array(
			'phpMyVisitesStats',
			'phpMyVisitesStats',
			'plugin.php?p=phpMyVisitesStats',
			'index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-16x16.png',
			'index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-64x64.png',
			null,
			null,
			null));
		}
	
	public static function adminDashboardFavsIcon($core,$name,$icon)	
		{
		if($name=='phpMyVisitesStats')
			{
			$icon[0] = 'phpMyVisitesStats';
			$icon[1] = 'plugin.php?p=phpMyVisitesStats';
			if($core->phpMyVisitesStats_Params['Ok'])
				$icon[2] = 'index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-64x64-Ok.png';
			else
				$icon[2] = 'index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-64x64-No.png';
			}
		}
	}
?>