<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of phpMyVisitesStats, a plugin for Dotclear 2.3
#
# Copyright (c) 2011 AkhThoT
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_RC_PATH')) { return; }

$core->addBehavior('initWidgets',
	array('WidgetBehaviorsphpMyVisitesStats','initWidgets'));
		
class WidgetBehaviorsphpMyVisitesStats
	{
	public static function initWidgets($w)
		{
		$w->create('phpMyVisitesStats','phpMyVisitesStats',
			array('WidgetBehaviorsphpMyVisitesStats','displayWidgets'));
		}

	public static function displayWidgets($w)
		{
		global $core;
		
		if($core->phpMyVisitesStats_Params['Ok'])
			{
			$html = '<div id="phpMyVisitesStats">';
			if (isset($_COOKIE['dc_phpMyVisitesStats']))
				{
				$html .= '<a href="'.$core->phpMyVisitesStats_Params['urlSite'].'"><img style="vertical-align: middle;" src="index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-16x16.png" /> phpMyVisites</a>';
				}
			else
				{
				$html .= '
	<script type="text/javascript">
		<!--
		var a_vars = Array();
		var pagename='.$core->phpMyVisitesStats_Params['PageName'].';
		var phpmyvisitesSite = '.$core->phpMyVisitesStats_Params['ID'].';
		var phpmyvisitesURL = "'.$core->phpMyVisitesStats_Params['urlSite'].'/phpmyvisites.php";
		// -->
	</script>
	<script language="javascript" type="text/javascript" src="'.$core->phpMyVisitesStats_Params['urlSite'].'/phpmyvisites.js"></script>
	<object>
		<noscript>
			<p>phpMyVisites | Open source web analytics
				<img src="'.$core->phpMyVisitesStats_Params['urlSite'].'/phpmyvisites.php" alt="Statistics" style="border:0" />
			</p>
		</noscript>
	</object>';
				}
			$html .= '</div>';
			
			return $html;
			}
		}
	}
?>